#ifndef __UICHOOSER_WIDGET_H__
#define __UICHOOSER_WIDGET_H__


#include <tqwidget.h>


#include "uichooser.h"

class UIChooserPart;

class UIChooserWidget : public UIChooser
{
  Q_OBJECT
  

public:

  enum TabWidgetVisibility {
    _AlwaysShowTabs         = 0,
    _NeverShowTabs          = 2
  };

  UIChooserWidget( UIChooserPart * part, TQWidget *parent=0, const char *name=0 );

public slots:
  void accept();

protected slots:
  void maybeEnableCloseOnHover( bool );

private slots:

  void load();
  void save();

private:
  UIChooserPart* m_part;
  TQWidget * _lastMode;
};


#endif
